Subject: [lamps] WG Last Call for draft-ietf-lamps-cms-aes-gmac-alg

From: Tim Hollebeek <[email-masked]>
Date: Fri, 4 Dec 2020 21:17:09 +0000

This is the LAMPS WG Last Call for "Using the AES-GMAC Algorithm with the
Cryptographic Message Syntax (CMS)" <draft-ietf-lamps-cms-aes-gmac-alg-00>.
Please review the document and send your comments to the list by 18 December
2020.

The datatracker page for the document is
https://datatracker.ietf.org/doc/draft-ietf-lamps-cms-aes-gmac-alg/

-Tim

---

From: Tim Hollebeek <[email-masked]>
Date: Tue, 22 Dec 2020 21:47:38 +0000

The comment period has ended, and no new feedback was received.  I'll start
pushing this forward.

-Tim

From: Spasm <[email-masked]> On Behalf Of Tim Hollebeek
Sent: Friday, December 4, 2020 4:17 PM
To: LAMPS <[email-masked]>
Subject: [lamps] WG Last Call for draft-ietf-lamps-cms-aes-gmac-alg

-Tim

---

From: Sean Turner <[email-masked]>
Date: Wed, 23 Dec 2020 11:35:15 -0500

IANAC, but I did have a read of this draft and thought it looked like a fine candidate for progressing to the next stage.

Minor nit that could be addressed later:

To be all matchy-matchy with the last paragraph in s3.1 you could
s/nonce parameter/nonce parameter field
in the penultimate paragraph of s3.1.

spt

> On Dec 22, 2020, at 16:47, Tim Hollebeek <tim.hollebeek=[email-masked]> wrote:
> 
> The comment period has ended, and no new feedback was received.  I’ll start pushing this forward.
>  
> -Tim
>  
> This is the LAMPS WG Last Call for "Using the AES-GMAC Algorithm with the Cryptographic Message Syntax (CMS)” <draft-ietf-lamps-cms-aes-gmac-alg-00>.  Please review the document and send your comments to the list by 18 December 2020.
>  
> The datatracker page for the document is https://datatracker.ietf.org/doc/draft-ietf-lamps-cms-aes-gmac-alg/
>  
> -Tim
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spasm

---

From: Russ Housley <[email-masked]>
Date: Wed, 23 Dec 2020 12:12:20 -0500

Sean, you are talking about Section 3.4 (not 3.1), I think.  If that is correct, then I suggest:

   The GMACParameters nonce field is the GMAC initialization vector.
   The nonce may have any number of bits between 8 and 2^64, but it MUST
   be a multiple of 8 bits.  Within the scope of any GMAC key, the nonce
   value MUST be unique.  A nonce value of 12 octets can be processed
   more efficiently, so that length for the nonce value is RECOMMENDED.

   The GMACParameters length field field tells the size of the
   message authentication code in octets.  The length may have a value
   between 12 and 16, inclusive.  A length of 12 octets is RECOMMENDED.

Russ

> On Dec 23, 2020, at 11:35 AM, Sean Turner <[email-masked]> wrote:
>

---

From: Sean Turner <[email-masked]>
Date: Wed, 23 Dec 2020 13:24:30 -0500

There’s no 3.4 in my version ;)
https://tools.ietf.org/html/draft-ietf-lamps-cms-aes-gmac-alg-00#section-3.1

But, yeah it’s adding “field" in the first sentence.

> On Dec 23, 2020, at 12:12, Russ Housley <[email-masked]> wrote:
>

---

From: "Dang, Quynh H. (Fed)" <[email-masked]>
Date: Wed, 23 Dec 2020 18:31:12 +0000

Hi Russ,

12 octets are fine for many use cases.

I am wondering why that size is Recommended (to save 4 bytes ?).

Regards,
Quynh.
________________________________
From: Spasm <[email-masked]> on behalf of Russ Housley <[email-masked]>
Sent: Wednesday, December 23, 2020 12:12 PM
To: Sean Turner <[email-masked]>
Cc: LAMPS <[email-masked]>
Subject: Re: [lamps] WG Last Call for draft-ietf-lamps-cms-aes-gmac-alg

Russ

>> The datatracker page for the document is https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cms-aes-gmac-alg%2F&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=Io8posg3cBdQoVepGGnSai5E9VgYk3BCODMqablsdHI%3D&amp;reserved=0
>>
>> -Tim
>> https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=8LKfeqo9718V2PBoM4xTaE4%2FfQhaaBUgVNo9T1X9tIs%3D&amp;reserved=0
>
> https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=8LKfeqo9718V2PBoM4xTaE4%2FfQhaaBUgVNo9T1X9tIs%3D&amp;reserved=0

_______________________________________________
Spasm mailing list
[email-masked]
https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=8LKfeqo9718V2PBoM4xTaE4%2FfQhaaBUgVNo9T1X9tIs%3D&amp;reserved=0

---

From: Russ Housley <[email-masked]>
Date: Wed, 23 Dec 2020 13:54:16 -0500

I stand corrected about the Section number.  It is Section 3.1.

I'll post the updated version with "field" in the first sentence of the two paragraphs at the end of Section 3.1.

Russ

> On Dec 23, 2020, at 1:24 PM, Sean Turner <[email-masked]> wrote:
>

---

From: Russ Housley <[email-masked]>
Date: Wed, 23 Dec 2020 13:57:06 -0500

Quynh:

It is making the same recommendation at RFC 5084.  See the last sentence in Section 3.2 of RFC 5084.

Russ

> On Dec 23, 2020, at 1:31 PM, Dang, Quynh H. (Fed) <quynh.dang=[email-masked]> wrote:
> 
> Hi Russ,
> 
> From: Spasm <[email-masked] <mailto:[email-masked]>> on behalf of Russ Housley <[email-masked] <mailto:[email-masked]>>
> To: Sean Turner <[email-masked] <mailto:[email-masked]>>
> Cc: LAMPS <[email-masked] <mailto:[email-masked]>>
> > On Dec 23, 2020, at 11:35 AM, Sean Turner <[email-masked] <mailto:[email-masked]>> wrote:
> > 
> >> On Dec 22, 2020, at 16:47, Tim Hollebeek <tim.hollebeek=[email-masked] <mailto:tim.hollebeek=[email-masked]>> wrote:
> >> 
> >> From: Spasm <[email-masked] <mailto:[email-masked]>> On Behalf Of Tim Hollebeek
> >> To: LAMPS <[email-masked] <mailto:[email-masked]>>
> >> The datatracker page for the document is https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cms-aes-gmac-alg%2F&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=Io8posg3cBdQoVepGGnSai5E9VgYk3BCODMqablsdHI%3D&amp;reserved=0 <https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cms-aes-gmac-alg%2F&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=Io8posg3cBdQoVepGGnSai5E9VgYk3BCODMqablsdHI%3D&amp;reserved=0>
> >> 
> >> -Tim
> >> [email-masked] <mailto:[email-masked]>
> >> https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=8LKfeqo9718V2PBoM4xTaE4%2FfQhaaBUgVNo9T1X9tIs%3D&amp;reserved=0 <https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=8LKfeqo9718V2PBoM4xTaE4%2FfQhaaBUgVNo9T1X9tIs%3D&amp;reserved=0>
> > 
> > [email-masked] <mailto:[email-masked]>
> > https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=8LKfeqo9718V2PBoM4xTaE4%2FfQhaaBUgVNo9T1X9tIs%3D&amp;reserved=0 <https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=8LKfeqo9718V2PBoM4xTaE4%2FfQhaaBUgVNo9T1X9tIs%3D&amp;reserved=0>
> 
> [email-masked] <mailto:[email-masked]>
> https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=8LKfeqo9718V2PBoM4xTaE4%2FfQhaaBUgVNo9T1X9tIs%3D&amp;reserved=0 <https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=8LKfeqo9718V2PBoM4xTaE4%2FfQhaaBUgVNo9T1X9tIs%3D&amp;reserved=0>
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/spasm <https://www.ietf.org/mailman/listinfo/spasm>

---

From: Tim Hollebeek <[email-masked]>
Date: Wed, 30 Dec 2020 17:59:58 +0000

I think it’s worth calling that out in the comment, so the reader knows where the recommendation comes from and can use RFC 5084 to help evaluate the recommendation.

Am I wrong?

-Tim

From: Spasm <[email-masked]> On Behalf Of Russ Housley
Sent: Wednesday, December 23, 2020 1:57 PM
To: Dang, Quynh H. (Fed) <quynh.dang=[email-masked]>
Cc: LAMPS <[email-masked]>
Subject: Re: [lamps] WG Last Call for draft-ietf-lamps-cms-aes-gmac-alg

Quynh:

Russ

On Dec 23, 2020, at 1:31 PM, Dang, Quynh H. (Fed) <quynh.dang=[email-masked] <mailto:quynh.dang=[email-masked]> > wrote:

Hi Russ,

Regards,

Quynh. 

  _____  

From: Spasm <[email-masked] <mailto:[email-masked]> > on behalf of Russ Housley <[email-masked] <mailto:[email-masked]> >
Sent: Wednesday, December 23, 2020 12:12 PM
To: Sean Turner <[email-masked] <mailto:[email-masked]> >
Cc: LAMPS <[email-masked] <mailto:[email-masked]> >
Subject: Re: [lamps] WG Last Call for draft-ietf-lamps-cms-aes-gmac-alg

Russ

> On Dec 23, 2020, at 11:35 AM, Sean Turner <[email-masked] <mailto:[email-masked]> > wrote:
> 
>> On Dec 22, 2020, at 16:47, Tim Hollebeek <tim.hollebeek=[email-masked] <mailto:tim.hollebeek=[email-masked]> > wrote:
>> 
>> From: Spasm <[email-masked] <mailto:[email-masked]> > On Behalf Of Tim Hollebeek
>> To: LAMPS <[email-masked] <mailto:[email-masked]> >
>> The datatracker page for the document is https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cms-aes-gmac-alg%2F <https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cms-aes-gmac-alg%2F&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=Io8posg3cBdQoVepGGnSai5E9VgYk3BCODMqablsdHI%3D&amp;reserved=0> &amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=Io8posg3cBdQoVepGGnSai5E9VgYk3BCODMqablsdHI%3D&amp;reserved=0
>> 
>> -Tim
>> https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm <https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=8LKfeqo9718V2PBoM4xTaE4%2FfQhaaBUgVNo9T1X9tIs%3D&amp;reserved=0> &amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=8LKfeqo9718V2PBoM4xTaE4%2FfQhaaBUgVNo9T1X9tIs%3D&amp;reserved=0
> 
> https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm <https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=8LKfeqo9718V2PBoM4xTaE4%2FfQhaaBUgVNo9T1X9tIs%3D&amp;reserved=0> &amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=8LKfeqo9718V2PBoM4xTaE4%2FfQhaaBUgVNo9T1X9tIs%3D&amp;reserved=0

_______________________________________________
Spasm mailing list
[email-masked] <mailto:[email-masked]> 
https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm <https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=8LKfeqo9718V2PBoM4xTaE4%2FfQhaaBUgVNo9T1X9tIs%3D&amp;reserved=0> &amp;data=04%7C01%7Cquynh.dang%40nist.gov%7Cf6db9786858545b5790b08d8a765f3e0%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C637443403620987942%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=8LKfeqo9718V2PBoM4xTaE4%2FfQhaaBUgVNo9T1X9tIs%3D&amp;reserved=0

_______________________________________________
Spasm mailing list
 <mailto:[email-masked]> [email-masked]
 <https://www.ietf.org/mailman/listinfo/spasm> https://www.ietf.org/mailman/listinfo/spasm

---

From: Russ Housley <[email-masked]>
Date: Wed, 30 Dec 2020 13:06:11 -0500

Sure.  I'll add a paragraph to the Implementation Considerations that says so.

Russ

> On Dec 30, 2020, at 12:59 PM, Tim Hollebeek <[email-masked]> wrote:
> 
> From: Spasm <[email-masked] <mailto:[email-masked]>> On Behalf Of Russ Housley
> To: Dang, Quynh H. (Fed) <quynh.dang=[email-masked] <mailto:quynh.dang=[email-masked]>>
> On Dec 23, 2020, at 1:31 PM, Dang, Quynh H. (Fed) <quynh.dang=[email-masked] <mailto:quynh.dang=[email-masked]>> wrote:
>  
> Hi Russ,
>